API ReferenceProducts
Products Image Detail
Retrieve the details of an image from a product.
Authorization
oauth2 catalogue:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:read
Path Parameters
id*integer
A unique integer value identifying this Product.
imageId*string
Match
^\d+$Header Parameters
X-29next-API-Version*string
Default
"2024-04-01"Value in
"2024-04-01"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/products/0/images/string/" \ -H "X-29next-API-Version: 2024-04-01"{
"attachment": "string",
"caption": "string",
"display_order": 2147483647,
"file_name": "string",
"id": 0,
"src": "http://example.com"
}